cc.Class({
    extends: cc.Component,

    properties: {
    },

    onLoad: function () {

        var canvas =  this.node.getComponent("cc.Canvas");

        // 设计分辨率
        var designSize = canvas.designResolution;

        // 屏幕分辨率
        var screenSize = cc.view.getFrameSize();
        
        // 设计分辨率 宽高比
        var design_WH_ratio = designSize.width / designSize.height;        

        // 屏幕 宽高比
        var screen_WH_ratio = screenSize.width / screenSize.height;


        if (design_WH_ratio == screen_WH_ratio){
            canvas.fitWidth = true;
            canvas.fitHeight = false;
        }
        else if (design_WH_ratio > screen_WH_ratio){
            canvas.fitWidth = true;
            canvas.fitHeight = false;         
        }
        else if (design_WH_ratio < screen_WH_ratio){
            canvas.fitWidth = false;
            canvas.fitHeight = true;          
        }

    },

});
