(function() {"use strict";var __module = CC_EDITOR ? module : {exports:{}};var __filename = 'preview-scripts/assets/Script/Resolution.js';var __require = CC_EDITOR ? function (request) {return cc.require(request, require);} : function (request) {return cc.require(request, __filename);};function __define (exports, require, module) {"use strict";
cc._RF.push(module, '3fd50oCVu5NvazUqcujfzng', 'Resolution', __filename);
// Script/Resolution.js

"use strict";

cc.Class({
    extends: cc.Component,

    properties: {},

    onLoad: function onLoad() {

        var canvas = this.node.getComponent("cc.Canvas");

        // 设计分辨率
        var designSize = canvas.designResolution;

        // 屏幕分辨率
        var screenSize = cc.view.getFrameSize();

        // 设计分辨率 宽高比
        var design_WH_ratio = designSize.width / designSize.height;

        // 屏幕 宽高比
        var screen_WH_ratio = screenSize.width / screenSize.height;

        if (design_WH_ratio == screen_WH_ratio) {
            canvas.fitWidth = true;
            canvas.fitHeight = false;
        } else if (design_WH_ratio > screen_WH_ratio) {
            canvas.fitWidth = true;
            canvas.fitHeight = false;
        } else if (design_WH_ratio < screen_WH_ratio) {
            canvas.fitWidth = false;
            canvas.fitHeight = true;
        }
    }

});

cc._RF.pop();
        }
        if (CC_EDITOR) {
            __define(__module.exports, __require, __module);
        }
        else {
            cc.registerModuleFunc(__filename, function () {
                __define(__module.exports, __require, __module);
            });
        }
        })();
        //# sourceMappingURL=Resolution.js.map
        